## Apache Zeta Components Manual :: Docs For Class ezcMailMultipartReport

### Mail::ezcMailMultipartReport

### Class ezcMailMultipartReport

Mail part multipart/report used primarily to send delivery status notification messages.

Multipart/Report: RFC 3462 http://tools.ietf.org/html/rfc3462 Delivery Status Notifications: RFC 3464 http://tools.ietf.org/html/rfc3464

The subparts of this mail part are according to RFC 3462:

1. A human readable part. The purpose of this part is to provide an easily understood description of the condition(s) that caused the report to be generated. Use the methods getReadablePart() and setReadablePart() to work with this part.

2. A machine parsable body part containing an account of the reported message handling event. The purpose of this body part is to provide a machine-readable description of the condition(s) that caused the report to be generated, along with details not present in the first body part that may be useful to human experts. Use the methods getMachinePart() and setMachinePart() to work with this part.

3. Optional. A body part containing the returned message or a portion thereof. This information may be useful to aid human experts in diagnosing problems. Use the methods getOriginalPart() and setOriginalPart() to work with this part.

Source for this file: /Mail/src/parts/multiparts/multipart_report.php

    ezcMailPart
       |
       --ezcMailMultipart
          |
          --ezcMailMultipartReport

Version: | //autogen//

### Inherited Constants

From ezcMailMultipart:
`ezcMailMultipart::DEFAULT_NO_MIME_MESSAGE` | Default message displayed to non-MIME capable email clients.

### Properties

string | read/write | `$reportType` The report type of the multipart report. Default is "delivery-status".

### Inherited Member Variables

From ezcMailMultipart
protected | `ezcMailMultipart::$parts`
From ezcMailPart
protected | `ezcMailPart::$properties`

### Method Summary

public ezcMailMultipartReport | `__construct( $... )` Constructs a new ezcMailMultipartReport.
public void | `appendPart( $part )` Appends a part to the list of parts.
public ezcMailPart | `getMachinePart( )` Returns the machine part of this multipart or null if there is no such part.
public ezcMailPart | `getOriginalPart( )` Returns the original content part of this multipart or null if there is no such part.
public array(ezcMailPart) | `getParts( )` Returns the mail parts associated with this multipart.
public ezcMailPart | `getReadablePart( )` Returns the readable part of this multipart or null if there is no such part.
public string | `multipartType( )` Returns "report".
public void | `setMachinePart( $part )` Sets the machine $part of this report multipart.
public void | `setOriginalPart( $part )` Sets the original content $part of this report multipart.
public void | `setReadablePart( $part )` Sets the readable $part of this report multipart.

### Inherited Methods

From ezcMailMultipart
public ezcMailMultipart | `ezcMailMultipart::__construct()` Constructs a new ezcMailMultipart with the parts $parts.
public string | `ezcMailMultipart::generateBody()` Returns the generated body for all multipart types.
protected static string | `ezcMailMultipart::generateBoundary()` Returns a unique boundary string.
public abstract string | `ezcMailMultipart::multipartType()` Returns the type of multipart.
From ezcMailPart
public ezcMailPart | `ezcMailPart::__construct()` Constructs a new mail part.
public void | `ezcMailPart::appendExcludeHeaders()` The array $headers will be excluded when the headers are generated.
public string | `ezcMailPart::generate()` Returns the complete mail part including both the header and the body as a string.
public abstract string | `ezcMailPart::generateBody()` Returns the body of this part as a string.
public string | `ezcMailPart::generateHeaders()` Returns the headers set for this part as a RFC 822 string.
public mixed | `ezcMailPart::getHeader()` Returns the RAW value of the header $name.
protected string | `ezcMailPart::getHeaderCharset()` Returns the charset registered for the header $name.
public void | `ezcMailPart::setHeader()` Sets the header $name to the value $value and its charset to $charset.
protected void | `ezcMailPart::setHeaderCharset()` Sets the charset of the header $name to $value.
public void | `ezcMailPart::setHeaders()` Adds the headers $headers.

### Methods

#### __construct

ezcMailMultipartReport __construct( ezcMailPart|array(ezcMailPart) $... )

Constructs a new ezcMailMultipartReport.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$...` | ezcMailPart|array(ezcMailPart) |

##### Redefinition of:

Method | Description
--- | ---
`ezcMailMultipart::__construct()` | Constructs a new ezcMailMultipart with the parts $parts.

#### appendPart

void appendPart( ezcMailPart $part )

Appends a part to the list of parts.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$part` | ezcMailPart |

#### getMachinePart

ezcMailPart getMachinePart( )

Returns the machine part of this multipart or null if there is no such part.

#### getOriginalPart

ezcMailPart getOriginalPart( )

Returns the original content part of this multipart or null if there is no such part.

#### getParts

array(ezcMailPart) getParts( )

Returns the mail parts associated with this multipart.

#### getReadablePart

ezcMailPart getReadablePart( )

Returns the readable part of this multipart or null if there is no such part.

#### multipartType

string multipartType( )

Returns "report".

##### Redefinition of:

Method | Description
--- | ---
`ezcMailMultipart::multipartType()` | Returns the type of multipart.

#### setMachinePart

void setMachinePart( ezcMailPart $part )

Sets the machine $part of this report multipart.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$part` | ezcMailPart |

#### setOriginalPart

void setOriginalPart( ezcMailPart $part )

Sets the original content $part of this report multipart.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$part` | ezcMailPart |

#### setReadablePart

void setReadablePart( ezcMailPart $part )

Sets the readable $part of this report multipart.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$part` | ezcMailPart |

Documentation generated by phpDocumentor 1.4.3